Package Details: qxkb-qt5 0.5.2-1

Git Clone URL: https://aur.archlinux.org/qxkb-qt5.git (read-only, click to copy)
Package Base: qxkb-qt5
Description: Keyboard layout switcher (the further development of axkb). Qt5 version.
Upstream URL: https://github.com/thegala/qxkb
Keywords: keyboard layout qt5
Licenses: GPL2
Conflicts: qxkb
Provides: qxkb
Submitter: thegala
Maintainer: thegala
Last Packager: thegala
Votes: 0
Popularity: 0.000000
First Submitted: 2020-01-23 01:59 (UTC)
Last Updated: 2022-01-28 13:50 (UTC)

Latest Comments

thegala commented on 2022-03-08 09:45 (UTC)

Yes I added them. Thx.

mpolishchuck commented on 2022-01-08 14:04 (UTC) (edited on 2022-01-08 14:06 (UTC) by mpolishchuck)

Hello.

I think the qt5-tools package must be added to makedepends section.

Without that package I'm getting the following error on build:

CMake Deprecation Warning at CMakeLists.txt:1 (CMAKE_MINIMUM_REQUIRED):
  Compatibility with CMake < 2.8.12 will be removed from a future version of
  CMake.

  Update the VERSION argument <min> value or use a ...<max> suffix to tell
  CMake that the project does not need compatibility with older versions.


-- The C compiler identification is GNU 11.1.0
-- The CXX compiler identification is GNU 11.1.0
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working C compiler: /usr/bin/cc - skipped
-- Detecting C compile features
-- Detecting C compile features - done
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++ - skipped
-- Detecting CXX compile features
-- Detecting CXX compile features - done
CMake Error at CMakeLists.txt:22 (find_package):
  By not providing "FindQt5LinguistTools.cmake" in CMAKE_MODULE_PATH this
  project has asked CMake to find a package configuration file provided by
  "Qt5LinguistTools", but CMake did not find one.

  Could not find a package configuration file provided by "Qt5LinguistTools"
  with any of the following names:

    Qt5LinguistToolsConfig.cmake
    qt5linguisttools-config.cmake

  Add the installation prefix of "Qt5LinguistTools" to CMAKE_PREFIX_PATH or
  set "Qt5LinguistTools_DIR" to a directory containing one of the above
  files.  If "Qt5LinguistTools" provides a separate development package or
  SDK, be sure it has been installed.


-- Configuring incomplete, errors occurred!
See also "/work/build/qxkb-qt5/src/qxkb-qxkb-0.5.2/build/CMakeFiles/CMakeOutput.log".